import React, { useMemo } from 'react'
import { View } from '@tarojs/components'
import './style.scss'

export default (props) => {
  const { visible = false, closeOnClick = false, onClose, style = {}, aligin = 'center' } = props

  const handleClick = () => {
    if (closeOnClick) {
      onClose && onClose()
    }
  }

  const classNames = useMemo(() => `overlay-warpper${visible ? ' visible' : ''}`, [visible])
  const layStyle = {
    ...style,
    alignItems: aligin === 'top' ? 'flex-start' : ( aligin === 'bottom' ? 'flex-end' : 'center' )
  }

  return visible && (
    <View className={classNames} style={layStyle} onClick={handleClick}>
      <View>
        {props.children}
      </View>
    </View>
  )
}
