import React, { useState, useEffect } from 'react'
import { useRouter } from '@tarojs/taro'
import { View } from '@tarojs/components'
import Overlay from '@/components/Overlay'
import AuthAvatar from '@/components/Auth/AuthAvatar'
import AuthPhone from '@/components/Auth/AuthPhone'
import BasicLayout from './Basic'
import useAuth from './useAuth'

import './style.scss'

export default (Child) => (props) => {
  const [ready, setReady] = useState(false)
  // ext 里面包含的人员等基本信息
  const [info, setInfo] = useState({})
  // 路由信息
  const router = useRouter()

  const [authPhone, authAvatar] = useAuth(info?.person)

  // 是否完成登录
  const isLoged = !!info?.person?.personId

  useEffect(() => {
    setReady(isLoged)
  }, [isLoged])

  return (
    <>
      <BasicLayout onProps={setInfo} />
      {
        ready && (
          <>
            <Overlay visible={authPhone} aligin='bottom'>
              <View className='auth-wrapper'>
                <AuthPhone />
              </View>
            </Overlay>
            <Overlay visible={!authPhone && authAvatar} aligin='bottom'>
              <View className='auth-wrapper'>
                <AuthAvatar />
              </View>
            </Overlay>
            <Child {...info} {...props} router={router} />
          </>
        )
      }
    </>
  )
}
