
import { Swiper, SwiperItem, Image } from '@tarojs/components'
import { getImgURL } from '@/utils/image'
import '@/assets/css/iconfont.css'
import './index.scss'

export default function MarketingActivity (props) {
  const { List = [] } = props
  return (
    <view className='components MarketingActivity'>

      <view className='Title flex-h'>
        <view className='flex-item'>
          <text>营销活动</text>
        </view>
        <text>更多</text>
        <text className='iconfont icon-jiantouright'></text>
      </view>

      <view className='SwiperContainer'>
        <view>
          <Swiper autoplay interval={2000} indicator-dots>
            {
              List.map((item, index) => (
                <SwiperItem key={`Banner-${index}`}>
                  <view className='swiper-item'>
                    <Image mode='aspectFill' className='centerLabel' src={getImgURL(item.bannerListImg || item.image || item.url || item.img || item.imgUrl || item.detailImg)} />
                  </view>
                </SwiperItem>
              ))
            }
          </Swiper>
        </view>
      </view>

    </view>
  )
}
